package ru.dbotthepony.kstarbound.defs.image

import ru.dbotthepony.kommons.util.IStruct4f

interface IUVCoordinates : IStruct4f {
	val u0: Float
	val v0: Float
	val u1: Float
	val v1: Float

	override fun component1(): Float {
		return u0
	}

	override fun component2(): Float {
		return v0
	}

	override fun component3(): Float {
		return u1
	}

	override fun component4(): Float {
		return v1
	}
}
